Eligibility API

The API is used to check if the customer is eligible for the pay later options. The API would return the list of all the pay later options that is configured in your account. It is a sync API, ie when merchants call the eligibility API Juspay checks the eligibility with the respective wallets and return the response. Hence the latency of the API can be comparatively higher.

Note
  1. Either amount or the order_id should be present in the request so as to get the eligibility.

  2. gateway_data is gateway specific information, it can be mandatory for some
    gateways

Format Supported:

  1. application/JSON

  2. application/x-www-form-urlencoded

Status and description:

Scroll inside to view more
Status
Description
SUCCESS
Successful
USER_NOT_FOUND
User not found for that gateway
BAD_REQUEST
Bad Request
INVALID_DATA
Invalid header or input data or any of the values are expired
NOT_ACCESSIBLE
When the user does not have access because of the insufficient credit limit or blocked to that wallet
PENDING_DUES
Pending dues are present in the wallet which user needs to clear
UNAUTHORIZED
Unauthorized
ERROR
Any other error mapping

Error Code And Description

Scroll inside to view more
Error Code
Description
linking_required
Link the Simpl account
pending_bill
Clear the previous dues to proceed
insufficient_credit
Clear the previous dues to proceed
unable_to_process
Transaction Amount exceeds spending limit
user_unauthorized
User is not eligible to use Simpl

API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/customers/{customer_id}/eligibility
Production Link
POST
https://api.juspay.in/customers/{customer_id}/eligibility
Authorization Header
Headers
Path Params
Body
200 : Success
400 : Invalid Input data
Last updated 1 month ago